import random

class Hasta:
    def __init__(self, ad):
        self.ad = ad
        self.durumlar = []

    def durum_bildir(self, durum):
        self.durumlar.append(durum)

class YapayZekaPsikolog:
    def __init__(self, ad):
        self.ad = ad

    def cevap_ver(self, soru):
        cevaplar = [
            "Anladım. Devam et.",
            "Duygularını paylaştığın için teşekkür ederim. Neden bu şekilde hissettiğini düşünüyorsun?",
            "Bu konuda daha fazla konuşabilir misin?",
            "Duygularını anlamam için daha fazla detay verebilir misin?",
            "Bunu daha iyi anlamam için geçmiş deneyimlerini paylaşabilir misin?"
        ]
        return random.choice(cevaplar)

    def terapiye_basla(self, hasta):
        print(f"Merhaba {hasta.ad}, ben {self.ad}. Nasıl yardımcı olabilirim?")

        for _ in range(3):
            soru = input(f"{hasta.ad}: ")
            cevap = self.cevap_ver(soru)
            print(f"{self.ad}: {cevap}")

        print("Teşekkür ederim. Bu seansın sona erdi.")

hasta1 = Hasta("Hastaaa")
psikolog1 = YapayZekaPsikolog("AIPsikolog")

psikolog1.terapiye_basla(hasta1)
